#### D.4.19.2 normalToricRing

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  normalToricRing(ideal I);
  normalToricRing(ideal I, intvec grading);

Return:
  The toric ring S is the subalgebra of the basering generated by the leading monomials of the elements of I (considered as a list of polynomials). The function computes the
  normalisation T of S and returns an ideal listing the algebra generators of T over the coefficient field.
  The function returns the input ideal I if one of the options `supp`, `triang`, `volume`, or `hseries` has been activated.
  However, in this case some numerical invariants are computed, and some other data may be contained in files that you can read into Singular (see showNuminvs, exportNuminvs).

Note:
  A mathematical remark: the toric ring depends on the list of monomials given, and not only on the ideal they generate!

Example:

    LIB "normaliz.lib";
    ring  R = 37,(x,y,t),dp;
    ideal I = x3,x2y,y3;
    normalToricRing(I);
    ==> _[1]=x3
    ==> _[2]=x2y
    ==> _[3]=y3
    ==> _[4]=xy2

See also: ehrhartRing; intclMonIdeal; intclToricRing; normalToricRingFromBinomials.

User manual for Singular version 4-0-3, 2016, generated by texi2html.